/* ================================================== */
/* CSS for control sap.ui.unified/CalendarRow.control */
/* ================================================== */

.sapUiCalendarRow{
	background-color: @sapUiListBackground;
	border: 0.0625rem solid @sapUiListBorderColor;
	box-sizing: border-box;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.sapUiCalendarRowApps{
	position: relative;
/*	min-height: 3rem;*/
	height: 100%;
	overflow-x: hidden;
	overflow-y: auto;
}

.sapUiCalendarRowWithHead > .sapUiCalendarRowApps{
	width: 80%;
	line-height: normal;
	display: inline-block;
	min-height: 5rem;
}

html.sapUiMedia-Std-Phone .sapUiCalendarRowWithHead > .sapUiCalendarRowApps{
	width: 100%;
}

/* intervals */
.sapUiCalendarRowAppsInt{
	min-height: 100%;
	height: 100%; /* to inherit to subintervals - to be overwritten for fix heights*/
	border-width: 0 0.0625rem 0 0.0625rem;
	border-style: solid;
	border-color: @sapUiListBorderColor;
	box-sizing: border-box;
	float: left;
	cursor: default;
}

.sapUiCalendarRowAppsSubInt{
	height: ~'calc(100% - 1.75rem)';
	border-width: 0 0.0625rem 0 0;
	border-style: solid;
	border-color: @sapUiListBorderColor;
	box-sizing: border-box;
	float: left;
}

.sapUiCalendarRowAppsIntNoHead > .sapUiCalendarRowAppsSubInt{
	height: 100%;
}

.sapUiCalendarRowAppsInt > .sapUiCalendarRowAppsSubInt:last-child{
	border-right: none;
}

.sapUiCalendarRowAppsNoWork{
	background-color: darken(@sapUiListBackground, 3);
}

.sapUiCalendarRowAppsIntHead{
	height: 1.5rem;
	line-height: 1.5rem;
	width: 100%;
	box-sizing: border-box;
	padding-left: 0.375rem;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
	margin-bottom: 0.25rem;
	cursor: default;
}

.sapUiCalendarRowApps > .sapUiCalendarRowAppsIntHead{
	position: absolute;
	top: 0;
	width: auto;
}

.sapUiCalendarRowAppsIntHeadFirst{
	border-left: 0.25rem solid darken(@sapUiListBorderColor, 15);
}

.sapUiCalendarRowAppsIntHeadIcon{
	width: 1rem;
	height: 1rem;
	line-height: 1rem;
	padding-right: 0.375rem;
	font-size: 1rem;
	vertical-align: middle;
	color: @sapUiElement;
}

.sapUiCalendarRowAppsIntHeadTitle{
	vertical-align: middle;
}

.sapUiCalendarRowAppsIntHeadText{
	display: none; /* only title displayed in header */
}

/* Appointments */
.sapUiCalendarApp{
	box-sizing: border-box;
	position: absolute;
	height: 3rem;
	color: @sapUiBaseText;
	background-color: @sapUiListBackground;
	border-left: 0.25rem solid darken(@sapUiListBorderColor, 15);
	outline: none;
	cursor: pointer;
	overflow: hidden;
	margin-bottom: 0.25rem;
}

.sapUiCalendarRowAppsRedHeight > .sapUiCalendarRowApps > .sapUiCalendarApp.sapUiCalendarAppTitleOnly{
	height: 1.375rem;
}

/* dummy app to calculate minimal size and other things */
.sapUiCalendarAppDummy{
	width: 2rem;
}

.sapUiCalendarAppCont{
	box-sizing: border-box;
	position: relative;
	border: 0.0625rem solid darken(@sapUiListBorderColor, 15);
	border-left: none;
	/* don't use padding here, because the DIV can't be smaller than the min size of it's paddings.... */
	height: 100%;
	width: 100%;
}

.sapUiCalendarAppSmall > .sapUiCalendarAppCont > .sapUiCalendarAppTitle,
.sapUiCalendarAppSmall > .sapUiCalendarAppCont > .sapUiCalendarAppText{
	padding-right: 0; /* if min-width no padding right to show ellipsis */
}

html.sap-desktop .sapUiCalendarApp:hover:not(:active),
html.sap-desktop .sapUiCalendarApp:focus:not(:active) > .sapUiCalendarAppCont{
	background-color: @sapUiListHoverBackground;
}

html.sap-desktop .sapUiCalendarApp:hover:not(:active) > .sapUiCalendarAppCont{
	border-color: @sapUiHighlight;
}

.sapUiCalendarApp.sapUiCalendarAppSel{
	color: @sapUiContentContrastTextColor;
	background-color: @sapUiSelected;
}

html.sap-desktop .sapUiCalendarApp.sapUiCalendarAppSel:hover:not(:active),
html.sap-desktop .sapUiCalendarApp.sapUiCalendarAppSel:focus:not(:active) > .sapUiCalendarAppCont{
	background-color: darken(@sapUiSelected, 10);
}

.sapUiCalendarApp.sapUiCalendarAppTent > .sapUiCalendarAppCont{
	border-style: dashed;
	border-color: @sapUiListHighlightColor;
	border-left: none;
}

.sapUiCalendarAppIcon{
	width: 1rem;
	height: 1rem;
	line-height: 1rem;
	font-size: 1rem;
	position: absolute;
	left: 0.375rem;
	top: 0.375rem;
/*	vertical-align: middle;*/
	color: @sapUiContentIconColor;
}

.sapUiCalendarAppTitleOnly > .sapUiCalendarAppCont > .sapUiCalendarAppIcon{
	top: ~'calc(50% - 0.5rem)';
}

.sapUiCalendarApp.sapUiCalendarAppTitleOnly{
	line-height: 2.25rem;
}

.sapUiCalendarRowAppsRedHeight > .sapUiCalendarRowApps > .sapUiCalendarApp.sapUiCalendarAppTitleOnly{
	line-height: 1rem;
}

.sapUiCalendarAppTitle,
.sapUiCalendarAppText{
	width: 100%;
	display: inline-block;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
	padding-left: 0.375rem;
	padding-right: 0.375rem;
	box-sizing: border-box;
}

.sapUiCalendarAppIcon + .sapUiCalendarAppTitle,
.sapUiCalendarAppIcon + .sapUiCalendarAppTitle + .sapUiCalendarAppText{
	padding-left: 1.75rem;
}

.sapUiCalendarAppTitle{
	font-size: 0.875rem;
	color: @sapUiListTextColor;
	padding-top: 0.375rem;
}

.sapUiCalendarApp.sapUiCalendarAppTitleOnly > .sapUiCalendarAppCont > .sapUiCalendarAppTitle{
	padding-bottom: 0.375rem;
}

.sapUiCalendarRowAppsRedHeight > .sapUiCalendarRowApps > .sapUiCalendarApp.sapUiCalendarAppTitleOnly > .sapUiCalendarAppCont > .sapUiCalendarAppTitle{
	padding-top: 0.125rem;
	padding-bottom: 0.125rem;
}

.sapUiCalendarAppText{
	float: left;
	color: @sapUiContentLabelColor;
	padding-bottom: 0.375rem;
}

.sapUiCalendarRowNow{
	border-left: 0.0625rem solid @sapUiHighlight;
	border-right: 0.0625rem solid @sapUiHighlight;
	width: 0;
	height: 100%;
	position: absolute;
	top: 0;
}
